import { StyleSheet } from 'fela-tools'
import layout from '../../rules/layout/layout'
import flex from '../../rules/flex/flex'

export default StyleSheet.create({
  layout: (props) => ({
    ...layout({
      display: props.display,
      direction: props.direction,
      justify: props.justifyItems,
      align: props.alignItems,
      wrap: props.wrap
    }),
    ...flex({
      grow: props.grow,
      shrink: props.shrink,
      basis: props.basis,
      justify: props.justifyItem,
      align: props.alignItem
    })
  })
})
