import {
  testSnapshot,
  wrapComponent
} from '../../test-utils'
import NavItem from './nav-item.vue'

describe('NavItem', () => {
  it('renders expected snapshots', () => {
    testSnapshot(wrapComponent(NavItem, {
      propsData: {
        path: '/',
        text: 'Home',
        index: 0
      },
      mocks: {
        $route: {
          path: '/'
        }
      }
    }))
  })
})
