import { StyleSheet } from 'fela-tools'
import { COLOR } from '../../core/constants'
import shadow from '../../rules/shadow/shadow'

export default StyleSheet.create({
  panel: ({ dim, overflow, space }) => ({
    overflow: overflow
      ? overflow
      : space === 'margin'
        ? 'auto'
        : null,
    backgroundColor: dim
      ? COLOR.PAPER
      : COLOR.WHITE,
    extend: shadow()
  })
})
